Repayment Posting

API used to share the repayment data(Payment mode, time, amount, transaction ID…etc)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample request:

{
    "loan_id": 3212,
    "lead_id": "LD16489",
    "paid_at": 1741084161686,
    "amount": 1,
    "txn_id": "repayment_txn4e162rerwe3412",
    "mode": "AUTODEBIT",
    "lan": "1928",
    "bankRefNo": "1234555612",
    "requestId": "3212_a2r3swe4iu34d",
    "intent": "FORECLOSURE/REPAYMENT"
}

Points to be Noted :

  1. In case of loan foreclosure the field name: Intent to be passed in BodyParams as "FORECLOSURE" and outstanding amount should be consumed from Closure Breakup API.
  2. Usage of this API differs from partner to partner, which will be shared & communicated by the MSL product team.
Body Params
string
required

Valid leadID

int32
required

Valid loanId

int32
required

Current Millisec and should not be older than 7 days

float
required

Valid amount

string
required

Unique txn ID (Max 36 characters)

string

Mode of repayment

string

Valid loan acc number

string

LoanID_uniquerequestId

string

Unique bankRefNo

string
enum
required
Defaults to REPAYMENT

Intent of repayment

Allowed:
Headers
string

Bearer {auth_token}

string

application/json

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json